From 01c3dc28efb0c645bc20ce03b7a3f23ab0ab4c0a Mon Sep 17 00:00:00 2001
From: Bertrand Drouvot <bertranddrouvot.pg@gmail.com>
Date: Tue, 4 Mar 2025 07:12:18 +0000
Subject: [PATCH v2 2/2] Remove obsolete comment in SnapBuildRestoreSnapshot()

9ccdd7f66e3 invalidated this comment (that was present in SnapBuildRestore()
at that time. The initial meaning of it was that a critical section was not
necessary here.
---
 src/backend/replication/logical/snapbuild.c | 3 ---
 1 file changed, 3 deletions(-)
 100.0% src/backend/replication/logical/

diff --git a/src/backend/replication/logical/snapbuild.c b/src/backend/replication/logical/snapbuild.c
index b64e53de017..a53501f5316 100644
--- a/src/backend/replication/logical/snapbuild.c
+++ b/src/backend/replication/logical/snapbuild.c
@@ -1718,9 +1718,6 @@ SnapBuildRestoreSnapshot(SnapBuildOnDisk *ondisk, XLogRecPtr lsn,
 	/* ----
 	 * Make sure the snapshot had been stored safely to disk, that's normally
 	 * cheap.
-	 * Note that we do not need PANIC here, nobody will be able to use the
-	 * slot without fsyncing, and saving it won't succeed without an fsync()
-	 * either...
 	 * ----
 	 */
 	fsync_fname(path, false);
-- 
2.34.1

